Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2KeyPairFile.PEMDSAPrivate

    java.lang.Object
      com.mindbright.asn1.ASN1Object
          com.mindbright.asn1.ASN1Structure
              com.mindbright.asn1.ASN1Sequence
                  com.mindbright.ssh2.SSH2KeyPairFile.PEMDSAPrivate

Enclosing class:
  SSH2KeyPairFile

public static final class SSH2KeyPairFile.PEMDSAPrivate
extends ASN1Sequence

Handles PEM encoding of a DSA key. From OpenSSL doc for dsa.

     PEMDSAPrivate ::= SEQUENCE {
       version  Version,
       p        INTEGER,
       q        INTEGER,
       g        INTEGER,
       y        INTEGER,
       x        INTEGER
     }

     Version ::= INTEGER { openssl(0) }

(OpenSSL currently hardcodes version to 0)

Field Summary
`ASN1Integer` | `g`
`ASN1Integer` | `p`
`ASN1Integer` | `q`
`ASN1Integer` | `version`
`ASN1Integer` | `x`
`ASN1Integer` | `y`

Fields inherited from class com.mindbright.asn1.ASN1Structure
`components, count, ofType`

Fields inherited from class com.mindbright.asn1.ASN1Object
`isSet, tag`

Constructor Summary
`SSH2KeyPairFile.PEMDSAPrivate()`
`SSH2KeyPairFile.PEMDSAPrivate(int version, java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger g, java.math.BigInteger y, java.math.BigInteger x)`

Methods inherited from class com.mindbright.asn1.ASN1Structure
`addComponent, addComponent, addOptional, addOptional, addOptional, decodeValue, encodeValue, equals, getComponent, getCount, getDecodeComponent, getDefault, getDistinctComponent, hashCode, isOptional, ofType`

Methods inherited from class com.mindbright.asn1.ASN1Object
`decodeValue, getTag, getType, isSet, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public ASN1Integer version

### p

    public ASN1Integer p

### q

    public ASN1Integer q

### g

    public ASN1Integer g

### y

    public ASN1Integer y

### x

    public ASN1Integer x

Constructor Detail

### SSH2KeyPairFile.PEMDSAPrivate

    public SSH2KeyPairFile.PEMDSAPrivate()

### SSH2KeyPairFile.PEMDSAPrivate

    public SSH2KeyPairFile.PEMDSAPrivate(int version,
                                         java.math.BigInteger p,
                                         java.math.BigInteger q,
                                         java.math.BigInteger g,
                                         java.math.BigInteger y,
                                         java.math.BigInteger x)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD